## ros-indigo-jsk-tools 2.2.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_tools)

find_package(catkin REQUIRED)
catkin_python_setup()
set(ROS_BUILD_TYPE RelWithDebInfo)
catkin_package(
  CATKIN_DEPENDS #
  LIBRARIES #
  INCLUDE_DIRS #
  DEPENDS #
  CFG_EXTRAS download_package.cmake shell_test.cmake
  )
catkin_add_env_hooks(99.config_switch SHELLS bash zsh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
catkin_add_env_hooks(99.jsk_tools SHELLS sh bash zsh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
catkin_add_env_hooks(99.jsk_tools-completion SHELLS bash zsh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

set(BIN_EXECUTABLES git-jsk-commit ros_console.py run_tmux)
foreach(exec ${BIN_EXECUTABLES})
  add_custom_command(OUTPUT ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_BIN_DESTINATION}/${exec}
    COMMAND cmake -E make_directory ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_BIN_DESTINATION}
    COMMAND cmake -E copy ${PROJECT_SOURCE_DIR}/bin/${exec} ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_BIN_DESTINATION}/
    DEPENDS ${PROJECT_SOURCE_DIR}/bin/${exec})
  add_custom_target(install_${exec} ALL DEPENDS ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_BIN_DESTINATION}/${exec})
  install(PROGRAMS bin/${exec} DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
endforeach(exec)

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  roslint_python(src/jsk_tools/cltool.py)
  roslint_python(src/test_topic_published.py)
  roslint_python(src/test_rosparam_set.py)
  roslint_python(src/test_stdout.py)
  roslint_python(src/rostopic_host_sanity)
  roslint_add_test()
  find_package(rostest REQUIRED)
  macro(jsk_tools_add_rostest file)
    list(APPEND jsk_tools_test_files ${file})
    add_rostest(${file})
  endmacro()
  if("$ENV{ROS_DISTRO}" STRGREATER "hydro")
    # FIXME: jsk_tools/test_topic_published.py does not work on hydro travis/jenkins
    # https://github.com/jsk-ros-pkg/jsk_common/pull/1293#issuecomment-164158260
    jsk_tools_add_rostest(test/test_topic_published.launch)
    # FIXME: jsk_tools/sanity_lib.py does not work on hydro travis/jenkins
    # https://github.com/jsk-ros-pkg/jsk_common/pull/1405#issuecomment-225218625
    jsk_tools_add_rostest(test/python/sanity_lib.test)
    # FIXME: jsk_tools/test_topic_published.py does not work on hydro travis/jenkins
    # https://github.com/jsk-ros-pkg/jsk_common/pull/1293#issuecomment-164158260
    jsk_tools_add_rostest(test/test_rosparam_set.test)
  endif()
  jsk_tools_add_rostest(test/test_stdout.test)
  find_package(jsk_tools REQUIRED)
  jsk_tools_add_shell_test(COMMAND echo "testing jsk_tools_add_shell_test")
endif()

# install test files that really works
# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(FILES ${jsk_tools_test_files}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)
install(DIRECTORY test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN "*.test" EXCLUDE
  )
install(DIRECTORY src dot-files cmake launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )
install(DIRECTORY bin/
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

=== debian/changelog ===
ros-indigo-jsk-tools (2.2.10-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 03 Nov 2018 00:00:00 -0000

ros-indigo-jsk-tools (2.2.9-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-indigo-jsk-tools (2.2.8-0trusty) trusty; urgency=high

  * Add comment for install destination (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * jsk_tools/src/jsk_tools/bag_plotter.py: Correct a line mistaken, easy but critical (#1602 <https://github.com/jsk-ros-pkg/jsk_common/issues/1602>)
  * jsk_tools/src/jsk_tools/bag_plotter.py: Add style option for line color and font size (#1601 <https://github.com/jsk-ros-pkg/jsk_common/issues/1601>)
  * [jsk_tools] add python-progressbar to run_depend (#1588 <https://github.com/jsk-ros-pkg/jsk_common/issues/1588>)
  * Contributors: Kei Okada, Ryosuke Tajima, Yuto Uchimi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-indigo-jsk-tools (2.2.7-0trusty) trusty; urgency=high

  * add missing dirs into install command (#1583 <https://github.com/jsk-ros-pkg/jsk_common/issues/1583>)
    * add missing dirs into install command
  * Fix roscore regardless (#1576 <https://github.com/jsk-ros-pkg/jsk_common/issues/1576>)
    * respawn child process if -r is given
    * jsk_tools: roscore_regardless.py: fix to work at more cases
  * Contributors: Yuki Furuta, Yasuhiro Ishiguro

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 27 Jun 2018 00:00:00 -0000

ros-indigo-jsk-tools (2.2.6-0trusty) trusty; urgency=high

  * [jsk_tools] add ROS param set test (#1535 <https://github.com/jsk-ros-pkg/jsk_common/issues/1535>)
  * jsk_tools: fix sanity lib test (#1573 <https://github.com/jsk-ros-pkg/jsk_common/issues/1573>)
  * update generate_deb_status_table.py (#1539 <https://github.com/jsk-ros-pkg/jsk_common/issues/1539>)
    * default rosdistro-to is lunar
    * use python-rosdistro to create DISTRS Dict
  * Support network interface name convention from ubuntu 15.10 (#1561 <https://github.com/jsk-ros-pkg/jsk_common/issues/1561>)
    * Fixes https://github.com/jsk-ros-pkg/jsk_common/issues/1559c.f.: https://askubuntu.com/questions/702161/why-is-my-interface-now-wlp2s0-instead-of-wlan0
  * Make TopicPublishedChecker run in parallel (#1546 <https://github.com/jsk-ros-pkg/jsk_common/issues/1546>)
    * Make TopicPublishedChecker multi-processable
  * Fix undefined variable arg in rosview on bash (#1545 <https://github.com/jsk-ros-pkg/jsk_common/issues/1545>)
  * Contributors: Kentaro Wada, Shingo Kitagawa, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 05 Jan 2018 00:00:00 -0000

ros-indigo-jsk-tools (2.2.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 19 Jun 2017 00:00:00 -0000

ros-indigo-jsk-tools (2.2.4-0trusty) trusty; urgency=high

  * CMakeLists.txt : fix install process, bin is already installed to /opt/ros/indigo/lib/jsk_tools/ directory (#1518 <https://github.com/jsk-ros-pkg/jsk_common/issues/1518>)
  * Remove import error message in ros_console.py, Because python-colorama is installed via apt (#1517 <https://github.com/jsk-ros-pkg/jsk_common/issues/1517>)
  * Contributors: Kei Okada, Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2017 00:00:00 -0000

ros-indigo-jsk-tools (2.2.3-0trusty) trusty; urgency=high

  * jsk_tools/src/jsk_tools/migration.py: Fix migration of from XXX.[srv|msg] import YYY (#1506 <https://github.com/jsk-ros-pkg/jsk_common/issues/1506>)
  * jsk_tools/src/generate_deb_status_table.py: Add python-tabulate-pip as a dependency (#1505 <https://github.com/jsk-ros-pkg/jsk_common/issues/1505>)
  * [jsk_tools] Improve test_topic_published.py (check /use_sim_time neatly) (#1504 <https://github.com/jsk-ros-pkg/jsk_common/issues/1504>)
    * jsk_tools/src/test_topic_published.py: Simplify negative check in test_topic_published.py
    * Check /clock publication neatly and fails if timed out
    * Use PublishChecker merge in ros/ros_comm
  * jsk_tools/src/generate_deb_status_table.py: Cope with arm64 for deb status table (#1503 <https://github.com/jsk-ros-pkg/jsk_common/issues/1503>)
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Mar 2017 00:00:00 -0000

ros-indigo-jsk-tools (2.2.2-0trusty) trusty; urgency=high

  * package.xml : rosemacs-el is only available until precise, from indigo, we uses rosemacs (#1497 <https://github.com/jsk-ros-pkg/jsk_common/issues/1497>)
  * src/rostopic_host_sanity : Check host sanity with a script
  * Contributors: Kei Okada, Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 Dec 2016 00:00:00 -0000

ros-indigo-jsk-tools (2.2.1-0trusty) trusty; urgency=high

  * env-hooks/99.jsk_tools.sh: Set WITHOUT_ROS_PROMPT at _update_prompt to fix #1494 <https://github.com/jsk-ros-pkg/jsk_common/issues/1494>
  * src/generate_deb_status_table.py : Cope with xenial + arm for deb status table (#1491 <https://github.com/jsk-ros-pkg/jsk_common/issues/1491>)
  * src/generate_deb_status_table.py : Support arm build in
    generate_deb_status_table.py : Generate deb release table with python script (#1490 <https://github.com/jsk-ros-pkg/jsk_common/issues/1490>)
  * [jsk_tools][99.jsk_tools.sh] fix: issue #1472 <https://github.com/jsk-ros-pkg/jsk_common/issues/1472>
  * Contributors: Kentaro Wada, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 13 Dec 2016 00:00:00 -0000

ros-indigo-jsk-tools (2.2.0-0trusty) trusty; urgency=high

  * jsk_tools/src/post_to_slack_server: Post to slack via String message input (#1466 <https://github.com/jsk-ros-pkg/jsk_common/issues/1466>)
  * jsk_tools/src/jsk_tools/migration.py: Add utility class to migrate rosmsg (#1464 <https://github.com/jsk-ros-pkg/jsk_common/issues/1464>)
  * jsk_tools/src/jsk_tools/sanity_lib.py : Support echo_noarr in
    checkTopicIsPublished (#1459 <https://github.com/jsk-ros-pkg/jsk_common/issues/1459>)


=== debian/control ===
Source: ros-indigo-jsk-tools
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), git, ros-indigo-catkin, ros-indigo-rosgraph-msgs, ros-indigo-roslint, ros-indigo-rostest
Homepage: http://ros.org/wiki/jsk_tools
Standards-Version: 3.9.2

Package: ros-indigo-jsk-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iproute2, python-colorama, python-progressbar, python-requests, python-rosdep, python-texttable, ros-indigo-axis-camera, ros-indigo-cv-bridge, ros-indigo-jsk-gui-msgs, ros-indigo-jsk-network-tools, ros-indigo-jsk-topic-tools, ros-indigo-pr2-computer-monitor, ros-indigo-rosbag, ros-indigo-rosemacs, ros-indigo-rosgraph-msgs, ros-indigo-rospy, ros-indigo-rqt-reconfigure
Description: Includes emacs scripts, ros tool alias generator, and launch doc generator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
